- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# DiskFS Class Reference

`#include <vfs.h>`

Inheritance diagram for DiskFS:

## Public Member Functions
| DiskFS (const char *)
virtual int | read (char *, long, long)=0
virtual int | read (void *, long, long)
virtual int | write (char *, long, long)=0
virtual int | write (const void *, long, long)
virtual | ~DiskFS (void)
## Protected Attributes
FILE * | diskFile

## Detailed Description

Definition at line 15 of file vfs.h.

## Constructor & Destructor Documentation

DiskFS::DiskFS | ( | const char * |  | ) |

Definition at line 4 of file vfs.cpp.

References diskFile, and fopen().

virtual DiskFS::~DiskFS | ( | void |  | ) | `[inline, virtual]`

Definition at line 22 of file vfs.h.

## Member Function Documentation

virtual int FileSystemAbstract::read | ( | char * | ,
|  | long | ,
|  | long |  |
| ) |  |  | `[pure virtual, inherited]`

int DiskFS::read | ( | void * | ,
|  | long | ,
|  | long |  |
| ) |  |  | `[virtual]`

Definition at line 17 of file vfs.cpp.

References diskFile, fread(), fseek(), NULL, and SEEK_SET.

virtual int FileSystemAbstract::write | ( | char * | ,
|  | long | ,
|  | long |  |
| ) |  |  | `[pure virtual, inherited]`

int DiskFS::write | ( | const void * | ,
|  | long | ,
|  | long |  |
| ) |  |  | `[virtual]`

Definition at line 9 of file vfs.cpp.

References diskFile, fseek(), fwrite(), NULL, and SEEK_SET.

## Field Documentation

FILE* DiskFS::diskFile`[protected]`

Definition at line 17 of file vfs.h.

Referenced by DiskFS(), read(), and write().

The documentation for this class was generated from the following files:

- src/sys/ubixfsv2/vfs.h
- src/sys/ubixfsv2/vfs.cpp